
package com.experianpayments.bankwizardcard.wsdl.bankwizardcardservice_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;
import com.experianpayments.bankwizardcard.xsd._2010._09.MatchDebitCardDetailsRequest;
import com.experianpayments.bankwizardcard.xsd._2010._09.MatchDebitCardDetailsResponse;
import com.experianpayments.bankwizardcard.xsd._2010._09.ValidateCardDetailsRequest;
import com.experianpayments.bankwizardcard.xsd._2010._09.ValidateCardDetailsResponse;
import com.experianpayments.bankwizardcard.xsd._2010._09.VerifyAvsCvvRequest;
import com.experianpayments.bankwizardcard.xsd._2010._09.VerifyAvsCvvResponse;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebService(name = "BankWizardCard_v1_0_PortType", targetNamespace = "http://experianpayments.com/bankwizardcard/wsdl/BankWizardCardService-v1")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({
    com.experianpayments.bankwizardcard.xsd._2012._05.ObjectFactory.class,
    com.experianpayments.bankwizard.common.xsd._2009._09.ObjectFactory.class,
    com.experianpayments.bankwizard.xsd._2009._07.ObjectFactory.class,
    com.experianpayments.bankwizardabsolute.common.xsd._2009._09.ObjectFactory.class,
    com.experianpayments.bankwizardcard.wsdl.bankwizardcardservice_v1_0.ObjectFactory.class,
    com.experianpayments.bankwizardcard.wsdl.bankwizardcardservice_v1_1.ObjectFactory.class,
    com.experianpayments.bankwizardcard.xsd._2010._09.ObjectFactory.class
})
public interface BankWizardCardV10PortType {


    /**
     * 
     * @param validateCardDetailsRequest
     * @return
     *     returns com.experianpayments.bankwizardcard.xsd._2010._09.ValidateCardDetailsResponse
     */
    @WebMethod(operationName = "ValidateCardDetails", action = "ValidateCardDetails")
    @WebResult(name = "ValidateCardDetailsResponse", targetNamespace = "http://experianpayments.com/bankwizardcard/wsdl/BankWizardCardService-v1-0", partName = "ValidateCardDetailsResponse")
    public ValidateCardDetailsResponse validateCardDetails(
        @WebParam(name = "ValidateCardDetailsRequest", targetNamespace = "http://experianpayments.com/bankwizardcard/wsdl/BankWizardCardService-v1-0", partName = "ValidateCardDetailsRequest")
        ValidateCardDetailsRequest validateCardDetailsRequest);

    /**
     * 
     * @param matchDebitCardDetailsRequest
     * @return
     *     returns com.experianpayments.bankwizardcard.xsd._2010._09.MatchDebitCardDetailsResponse
     */
    @WebMethod(operationName = "MatchDebitCardDetails", action = "MatchDebitCardDetails")
    @WebResult(name = "MatchDebitCardDetailsResponse", targetNamespace = "http://experianpayments.com/bankwizardcard/wsdl/BankWizardCardService-v1-0", partName = "MatchDebitCardDetailsResponse")
    public MatchDebitCardDetailsResponse matchDebitCardDetails(
        @WebParam(name = "MatchDebitCardDetailsRequest", targetNamespace = "http://experianpayments.com/bankwizardcard/wsdl/BankWizardCardService-v1-0", partName = "MatchDebitCardDetailsRequest")
        MatchDebitCardDetailsRequest matchDebitCardDetailsRequest);

    /**
     * 
     * @param verifyAvsCvvRequest
     * @return
     *     returns com.experianpayments.bankwizardcard.xsd._2010._09.VerifyAvsCvvResponse
     */
    @WebMethod(operationName = "VerifyAvsCvv", action = "VerifyAvsCvv")
    @WebResult(name = "VerifyAvsCvvResponse", targetNamespace = "http://experianpayments.com/bankwizardcard/wsdl/BankWizardCardService-v1-0", partName = "VerifyAvsCvvResponse")
    public VerifyAvsCvvResponse verifyAvsCvv(
        @WebParam(name = "VerifyAvsCvvRequest", targetNamespace = "http://experianpayments.com/bankwizardcard/wsdl/BankWizardCardService-v1-0", partName = "VerifyAvsCvvRequest")
        VerifyAvsCvvRequest verifyAvsCvvRequest);

}
